Forums

Unfortunately no one can be told what FluxBB is - you have to see it for yourself.

You are not logged in.

#26 2012-05-09 07:06:40

RedRocker227
Member
Registered: 2012-04-24
Posts: 122

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

No.

Offline

#27 2012-06-14 14:53:55

shiguy101
Member
Registered: 2012-03-29
Posts: 92
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

is it possible to change your vote using this?

Offline

#28 2012-06-20 03:43:19

Ishimaru Chiaki
Member
From: Baie-Comeau, Quebec, Canada
Registered: 2011-05-14
Posts: 77
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Since no issue has been reported, the v1.2 goes final, as I took the opportunity to make it compatible with v1.5.
Since one block of code you have to find in moderate.php has changed, I modified the instruction, so the instruction will work either with 1.4 and 1.5


Alienware PC running Win7 64bits - GIMP 2.8 - XHTML/CSS (advanced) - PHP/MySQL (medium)
FluxBB Migration Tool on GitHub
My art gallery

Offline

#29 2012-06-20 20:08:58

shiguy101
Member
Registered: 2012-03-29
Posts: 92
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Ishimaru Chiaki wrote:

Since no issue has been reported, the v1.2 goes final, as I took the opportunity to make it compatible with v1.5.
Since one block of code you have to find in moderate.php has changed, I modified the instruction, so the instruction will work either with 1.4 and 1.5

now can you change your vote?

Offline

#30 2012-07-15 14:52:24

rybog
Member
From: €U
Registered: 2012-07-01
Posts: 5

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Hello, I wanted to install "Auto Poll" and have run the file install_mod.php and got the following response:

You are running a version of PunBB (1.5.0) that this mod does not support. This mod supports PunBB versions: 1.2.x

Apparently the version 1.2 is not compatible with FluxBB 1.5.0 or what?

Last edited by rybog (2012-07-15 14:54:09)


| FluxBB 1.5.4 | ryblog.eu/fritzload |

Offline

#31 2012-07-15 15:05:30

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 6,719
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#32 2012-08-03 16:37:48

Mike
Member
From: Sweden
Registered: 2010-08-06
Posts: 1

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

All files except the readme files in the 1.2 download at http://fluxbb.org/resources/mods/auto-p … v1.2.0.zip are identical to the files in 1.1.1. Shouldn't install_mod.php be new beacuse of the datatype change?

Offline

#33 2013-01-31 08:15:55

nleontiev
Member
Registered: 2012-12-23
Posts: 7

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Auto Poll can't be installed using Patcher 2.0-alpha on FluxBB 1.5.2

Offline

#34 2013-02-04 04:36:40

Ishimaru Chiaki
Member
From: Baie-Comeau, Quebec, Canada
Registered: 2011-05-14
Posts: 77
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Updated to version 1.2.1 - Now compatible only with 1.5.0 or newer


Alienware PC running Win7 64bits - GIMP 2.8 - XHTML/CSS (advanced) - PHP/MySQL (medium)
FluxBB Migration Tool on GitHub
My art gallery

Offline

#35 2013-03-18 04:16:16

doki
Member
Registered: 2008-05-10
Posts: 34

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Hi Ishimaru Chiaki,

version 1.2.1 have problem on Ap_poll plugin.  By the way posting/displaying of polls still working. Only the plugin has a problem. error message below.

An error was encountered
File: C:\wamp\www\plugins\AP_Polls.php
Line: 447

FluxBB reported: Unable to fetch user group list

Database reported: Unknown column 'g_post_polls' in 'field list' (Errno: 1054)

Offline

#36 2014-02-08 04:52:08

Different55
Member
Registered: 2011-11-18
Posts: 178

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Is it okay to fix this mod up a bit and reupload it? The mod itself is great, but the installation files for 1.2.1 have problems everywhere. The readme (well, pretty much just step 5) is a mess, and install_mod.php was made for PunBB 1.2.x and refuses to work unless you comment out the 2 lines checking version.

Offline

#37 2015-12-22 07:45:32

Ishimaru Chiaki
Member
From: Baie-Comeau, Quebec, Canada
Registered: 2011-05-14
Posts: 77
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

I'm finally back, with a new computer.  As I'm currently jobless, I'm taking the opportunity to update all my code, including this MOD.

MOD updated into version 1.2.2

Dang airhead of mine... the old install_mod.php file somehow got back into the package.  So for the update, I've put back the correct file and I fixed other issues as well such as a misspelled field added in group table, for which I added a fix in the update file for those who installed a previous version.

I tested and retested it on a fresh FluxBB install on my UwAmp installation, and I also checked and double-checked my files to make sure the files in the package and the GitHub repo are the correct ones.


Alienware PC running Win7 64bits - GIMP 2.8 - XHTML/CSS (advanced) - PHP/MySQL (medium)
FluxBB Migration Tool on GitHub
My art gallery

Offline

#38 2015-12-22 09:34:44

Gary
Moderator
From: Sydney, Australia
Registered: 2009-09-07
Posts: 232

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Nice work! Good on you Ishimaru Chiaki. It's great to see development updates for modifications, keep it up.

Offline

#39 2016-01-22 03:58:42

RandomValue
New member
Registered: 2016-01-14
Posts: 2

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Can we see any running demo somewhere ?

Offline

#40 2016-07-04 18:57:02

schmatzler
New member
Registered: 2016-07-04
Posts: 3

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

I tested this on 1.5.10 and this line in moderate.php:

// POLL MOD: Delete polls
//$db->query('DELETE FROM '.$db->prefix.'polls WHERE pollid IN('.$topics.')') or error('Unable to delete poll', __FILE__, __LINE__, $db->error());

breaks the merge functionality! If I want to merge two topics and they both don't have a poll in them, it errors out.

I don't know how to fix this, though - so I just commented it out for now, which doesn't delete old polls from the database. Not ideal.

Last edited by schmatzler (2016-07-04 18:57:49)

Offline

#41 2016-07-05 08:49:20

chris98
Member
From: England, United Kingdom
Registered: 2013-05-31
Posts: 1,292
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

What's the error?

Offline

#42 2016-07-05 21:33:42

schmatzler
New member
Registered: 2016-07-04
Posts: 3

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Well...it's the one in the code I posted:

Unable to delete poll

The problem is probably that there is nothing to delete if there is no poll in a topic so the SQL statement errors out. There has to be an IF somewhere. Will have to investigate that.

Offline

#43 2020-04-25 18:01:02

timconsidine
Member
Registered: 2020-04-25
Posts: 6

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Hi.
Interesting mod

1) Is it possible to see an example of what it does before going through the installation and editing source files ?

2) Does it support V1.5.11 ?

Offline

#44 2020-04-28 09:38:59

timconsidine
Member
Registered: 2020-04-25
Posts: 6

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

timconsidine wrote:

Hi.

2) Does it support V1.5.11 ?

I decided to try it
Yes it does !
Just in case this helps others wondering if it is viable and worth trying to install, even though 1.5.11 not listed as supported

Offline

#45 2020-07-30 11:17:27

irbees2008
Member
From: KZ. Shakhtinsk
Registered: 2020-06-14
Posts: 10

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

Hello everyone, I installed the mod, following the redmi file, changed the files, in the admin panel there are only settings for the rights and settings of the plugin, and I could not find where the polls are created.

Forum version 1.5.11 and the mod downloaded from here https://github.com/MissGeek/FluxBB-Auto-Poll-MOD


жизнь бьет ключом,... иногда и гайкой ))

Offline

#46 2020-07-30 12:06:29

Visman
Member
From: Siberia
Registered: 2010-07-10
Posts: 1,383
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

include/poll/poll_post.php
include/poll/poll_edit.php

Add a checkbox to the post form. If the checkbox is selected, then after (or during) the post is saved, a redirect to create a poll occurs.

Offline

#47 2020-07-30 13:15:01

irbees2008
Member
From: KZ. Shakhtinsk
Registered: 2020-06-14
Posts: 10

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

That's just the point, I added everything, and nothing is displayed anywhere, maybe it's because of php 7.3


жизнь бьет ключом,... иногда и гайкой ))

Offline

#48 2020-07-30 13:19:35

Visman
Member
From: Siberia
Registered: 2010-07-10
Posts: 1,383
Website

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

See the error log.
I am not using this modification. I have my own https://fluxbb.org/forums/viewtopic.php?id=4937

Offline

#49 2020-07-30 16:35:49

irbees2008
Member
From: KZ. Shakhtinsk
Registered: 2020-06-14
Posts: 10

Re: [Adaptation for 1.5.x] Auto-Poll v1.2.2

I figured it out, the poll is created in the first message of the topic.


жизнь бьет ключом,... иногда и гайкой ))

Offline

Board footer

Powered by FluxBB